%define perl_major_ver %(eval `perl -V:version`; echo ${version%*.[0-9]*}.0)

Name:          perl-DateTime
Epoch:         1
Version:       1.66
Release:       1mamba
Summary:       DateTime - Complete, correct, and easy to use date/time object implementation
Group:         System/Libraries/Perl
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://www.cpan.org/
Source:        http://www.cpan.org/modules/by-module/DateTime/DateTime-%{version}.tar.gz
License:       Artistic
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libperl
BuildRequires: perl-DateTime-Locale
BuildRequires: perl-DateTime-TimeZone
BuildRequires: perl-Params-ValidationCompiler
BuildRequires: perl-Scalar-List-Utils
BuildRequires: perl-Specio
BuildRequires: perl-Try-Tiny
BuildRequires: perl-devel
BuildRequires: perl-namespace-autoclean
## AUTOBUILDREQ-END
BuildRequires: perl >= 2:5.36.0
Requires:      perl >= %perl_major_ver
BuildRequires: perl-devel >= %perl_major_ver
BuildRequires: perl-DateTime-Locale
BuildRequires: perl-DateTime-TimeZone
BuildRequires: perl-Params-Validate
Provides:      perl(DateTimePPExtra)

# FIXME (needed for "make test"):
# DateTime::Format::ICal
# DateTime::Format::Strptime 1.0400+

%description
The DateTime.pm module aims to provide a complete, correct, and easy to use date/time object implementation.
Currently it handles many date calculations, date math (addition and subtraction), and provides convenient methods for retrieving portions of a date/time.

This module properly supports the Olson time zone database, meaning that historical time zone information, and more importantly, daylight saving time rules, can be handled transparently, simply by setting the correct time zone.
This is done by using the DateTime::TimeZone module.

%prep
%setup -q -n DateTime-%{version}

%build
%{__perl} Makefile.PL PREFIX=%{_prefix} INSTALLDIRS=vendor OPTIMIZE="%{optflags}"

%make
%make test

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall_perl

packlist=`find %{buildroot} -name .packlist`
[ -z "$packlist" ] && exit 1 || cat $packlist | \
   sed "s,%{buildroot},,g;s,.*/man/.*,&.gz,g" | \
   sort -u > .packlist && rm -f $packlist

strid=`echo $packlist | sed 's,.*auto\(.*\)/.packlist,\1,'`
for dir in `find %{buildroot} -type d | grep $strid`; do
   echo "%dir ${dir#%buildroot}" >> .packlist
done

find %{buildroot} -name *.so -exec chmod u+w {} \;

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files -f .packlist
%defattr(-,root,root)

%changelog
* Thu Feb 20 2025 Automatic Build System <autodist@openmamba.org> 1.66-1mamba
- automatic version update by autodist

* Mon Nov 06 2023 Automatic Build System <autodist@mambasoft.it> 1.65-1mamba
- automatic version update by autodist

* Mon Oct 23 2023 Automatic Build System <autodist@mambasoft.it> 1.63-1mamba
- automatic version update by autodist

* Sun Apr 16 2023 Sdk Build System <sdk@mambasoft.it> 1.59-2mamba
- rebuilt with perl 5.36.0

* Sat Mar 11 2023 Automatic Build System <autodist@mambasoft.it> 1.59-1mamba
- automatic version update by autodist

* Fri Nov 11 2016 Silvan Calarco <silvan.calarco@mambasoft.it> 1.04-2mamba
- rebuilt with perl 5.24

* Thu Dec 12 2013 Automatic Build System <autodist@mambasoft.it> 1.04-1mamba
- automatic update by autodist

* Tue May 28 2013 Automatic Build System <autodist@mambasoft.it> 1.03-1mamba
- automatic update by autodist

* Sat Apr 27 2013 Automatic Build System <autodist@mambasoft.it> 0.78-1mamba
- update to 0.78

* Tue Nov 13 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 0.4501-2mamba
- perl 5.16 mass rebuild

* Thu Feb 05 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 0.4501-1mamba
- automatic update by autodist

* Tue Nov 04 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 0.41-2mamba
- automatic rebuild by autodist

* Fri Nov 30 2007 Aleph0 <aleph0@openmamba.org> 0.41-1mamba
- package created by autospec
